%define src_ver 0.1-3
%define languagelocal francais
%define languageeng french
%define languageenglazy French
%define languagecode fr
%define lc_ctype fr_FR

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       0.1.3
Release:       3mdk
Group:         System/Internationalization
Source:        http://aspell.sourceforge.net/aspell-fr-%{src_ver}.tar.bz2
URL:           http://aspell.sourceforge.net/
License:	   GPL
Epoch:		   1
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

BuildRequires: aspell
BuildRequires: libpspell-devel
BuildRequires: make
Requires:      aspell

# Mandrake Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary

# RedHat Stuff. is this right:
#Obsoletes: ispell-fr, ispell-french

ExcludeArch:   ia64
Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n %{name}-%{src_ver}

%build

# don't use configure macro
./configure

%make

%install
rm -fr $RPM_BUILD_ROOT

# don't use makeinstall macro
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING
%{_datadir}/aspell/*
%{_libdir}/aspell/*
%{_datadir}/pspell/*

%changelog
* Fri Jan 11 2002 Stefan van der Eijk <stefan@eijk.nu> 0.1.3-3mdk
- BuildRequires

* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.3-2mdk
- Undo move to /usr/share/pspell4

* Tue Nov  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.3-1mdk
- Release 0.1-3 (seen as 0.1.3 for rpm)
- Use epoch to force upgrade from previous version
- Move pspell datadir to pspell4

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 0.1-1mdk
- Cleaned up the spec and moved to standard template.
- First version for Mandrake - copied from RedHat spec.
- Macroszification.

* Tue Aug 01 2000 Trond Eivind Glomsrd <teg@redhat.com> 0.1-4
- use the French language descriptions shipped with aspell

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Mon Jun 26 2000 Trond Eivind Glomsrd <teg@redhat.com>
- updated dictionary to 0.03
- changed build procedure
- include .pwli file

* Sat Jun 17 2000 Trond Eivind Glomsrd <teg@redhat.com>
- first RPM

